package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class VPassDynamicVO extends HeaderVO{
	int gps;
	int outPort;
	int battery;
	int sos;
	int sn;
	int we;
	int inPort;
	int inOutStatus;
	int batterycapa;
	int lonInt;
	int latInt;
	double longitude;
	double latitude;
	double sog;
	double cog;
	String dtStr;
	int dtHH;
	int dtNN;
	int dtSS;
	int sosType;
	int accType;
	int company;
	int seq;
	
	public VPassDynamicVO() {
		gps = 0;
		outPort = 0;
		battery = 0;
		sos = 0;
		sn = 0;
		we = 0;
		inPort = 0;
		inOutStatus = 0;
		batterycapa = 0;
		lonInt = 108600000;
		latInt = 54600000;
		longitude = 181;
		latitude = 91;
		sog = 1023;
		cog = 3600;
		dtStr = "";
		dtHH = 24;
		dtNN = 60;
		dtSS = 60;
		sosType = 0;
		accType = 0;
		company = 0;
		seq = 0;
	}
	
	public int getGps() {
		return gps;
	}
	public void setGps(int gps) {
		this.gps = gps;
	}
	public int getOutPort() {
		return outPort;
	}
	public void setOutPort(int outPort) {
		this.outPort = outPort;
	}
	public int getBattery() {
		return battery;
	}
	public void setBattery(int battery) {
		this.battery = battery;
	}
	public int getSos() {
		return sos;
	}
	public void setSos(int sos) {
		this.sos = sos;
	}
	public int getSn() {
		return sn;
	}
	public void setSn(int sn) {
		this.sn = sn;
	}
	public int getWe() {
		return we;
	}
	public void setWe(int we) {
		this.we = we;
	}
	public int getInPort() {
		return inPort;
	}
	public void setInPort(int inPort) {
		this.inPort = inPort;
	}
	public int getInOutStatus() {
		return inOutStatus;
	}
	public void setInOutStatus(int inOutStatus) {
		this.inOutStatus = inOutStatus;
	}
	public int getBatterycapa() {
		return batterycapa;
	}
	public void setBatterycapa(int batterycapa) {
		this.batterycapa = batterycapa;
	}
	public int getLonInt() {
		return lonInt;
	}
	public void setLonInt(int lonInt) {
		this.lonInt = lonInt;
	}
	public int getLatInt() {
		return latInt;
	}
	public void setLatInt(int latInt) {
		this.latInt = latInt;
	}
	public double getLongitude() {
		return longitude;
	}
	public void setLongitude(double longitude) {
		this.longitude = longitude;
	}
	public double getLatitude() {
		return latitude;
	}
	public void setLatitude(double latitude) {
		this.latitude = latitude;
	}
	public double getSog() {
		return sog;
	}
	public void setSog(double sog) {
		this.sog = sog;
	}
	public double getCog() {
		return cog;
	}
	public void setCog(double cog) {
		this.cog = cog;
	}

	public String getDtStr() {
		return dtStr;
	}

	public void setDtStr(String dtStr) {
		this.dtStr = dtStr;
	}

	public int getDtHH() {
		return dtHH;
	}
	public void setDtHH(int dtHH) {
		this.dtHH = dtHH;
	}
	public int getDtNN() {
		return dtNN;
	}
	public void setDtNN(int dtNN) {
		this.dtNN = dtNN;
	}
	public int getDtSS() {
		return dtSS;
	}
	public void setDtSS(int dtSS) {
		this.dtSS = dtSS;
	}
	public int getSosType() {
		return sosType;
	}
	public void setSosType(int sosType) {
		this.sosType = sosType;
	}
	public int getAccType() {
		return accType;
	}
	public void setAccType(int accType) {
		this.accType = accType;
	}
	public int getCompany() {
		return company;
	}
	public void setCompany(int company) {
		this.company = company;
	}
	public int getSeq() {
		return seq;
	}
	public void setSeq(int seq) {
		this.seq = seq;
	}
	public String getString() {
		return "TargetSensor : "+this.targetSensor+"\n"+
				"packetID    : "+this.packetID+"\n"+
				"ShipID      : "+this.shipID+"\n"+
				"DateTime    : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID 	 : "+this.areaID+"\n"+
				"MsgType 	 : "+this.msgType+"\n"+
				"DataLength  : "+this.dataLength+"\n"+
				"gps 	     : " + String.valueOf(this.gps) + "\n" + 
				"outPort 	 : " + String.valueOf(this.outPort) + "\n" + 
				"battery 	 : " + String.valueOf(this.battery) + "\n" + 
				"sos 		 : " + String.valueOf(this.sos) + "\n" + 
				"sn 		 : " + String.valueOf(this.sn) + "\n" +
				"we 		 : " + String.valueOf(this.we) + "\n" + 
				"inPort 	 : " + String.valueOf(this.inPort) + "\n" + 
				"inOutStatus : " + String.valueOf(this.inOutStatus) + "\n" + 
				"batterycapa : " + String.valueOf(this.batterycapa) + "\n" +
				"lonInt 	 : " + String.valueOf(this.lonInt) + "\n" + 
				"latInt 	 : " + String.valueOf(this.latInt) + "\n" + 
				"Longitude 	 : " + String.valueOf(this.longitude) + "\n" + 
				"Latitude 	 : " + String.valueOf(this.latitude) + "\n" +
				"Sog 		 : " + String.valueOf(this.sog) + "\n" + 
				"Cog 		 : " + String.valueOf(this.cog) + "\n" + 
				"dtStr 	 	 : " + this.dtStr + "\n" + 
				"dtHH 		 : " + String.valueOf(this.dtHH) + "\n" + 
				"dtNN 		 : " + String.valueOf(this.dtNN) + "\n" + 
				"dtSS 		 : " + String.valueOf(this.dtSS) + "\n" + 
				"sosType 	 : " + String.valueOf(this.sosType) + "\n" + 
				"accType 	 : " + String.valueOf(this.accType) + "\n" +
				"Company 	 : " + String.valueOf(this.company) + "\n" + 
				"seq 		 : " + String.valueOf(this.seq);			
	}
	
	
}
